<template>
  <div v-if="bigImageGallery">
    <SwGsProductGallery :product="product" :content="content" :configuration="config"/>
  </div>
  <div v-else>
    <SwProductGallery :product="product" :content="content" />
  </div>
</template>

<script>
  import SwProductGallery from "@/components/SwProductGallery.vue"
  import SwGsProductGallery from "../../components/cms/SwGsProductGallery.vue";
  import { computed, inject } from "@vue/composition-api"
  import { useCms } from "@shopware-pwa/composables"

  export default {
    name: "CmsElementImageGallery",

    components: {
      SwProductGallery,
      SwGsProductGallery
    },

    props: {
      content: {
        type: Object,
        default: () => ({}),
      },
    },

    setup(props) {
      const { page } = useCms() // fallback for provide/inject, remove in future
      const cmsPage = inject("cms-page", page)
      const product = computed(() => cmsPage.value?.product)
      const config = props?.content?.translated?.config;
      return {
        product,
        config,
        bigImageGallery: config?.bigImageMode?.value
      }
    },
  }
</script>

<style lang="scss" scoped></style>
